connections(1m)

NAME
connections - print inbound TCP connections by process. Uses DTrace.

SYNOPSIS
connections [-htvZ]

DESCRIPTION
This displays the PID and command name of the processes accepting connections, along with the source IP address and destination port number Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
unstable - this script uses fbt provider probes which may change for future updates of the OS, invalidating this script. Please read Docs/Notes/ALLfbt_notes.txt for further details about these fbt scripts.

OPTIONS

-t  print timestamps, us

-v  print timestamps, string

-Z  print zonename

EXAMPLES

snoop inbound connections
    # connections

snoop connections with time
    # connections -v

FIELDS

UID user ID of the server

PID process ID of the server

CMD server command name

TIME
    timestamp, us

TIMESTR
    timestamp, string

PORT
    server port

IP_SOURCE
    source IP of the client, written in IPv4 style

ZONE
    zonename

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
connections will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), snoop(1M)